#
# spec file for package pinentry (Version 0.6.9)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  glib glib-devel gtk gtk-devel qt3-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-Mesa XFree86-Mesa-devel XFree86-devel XFree86-libs autoconf automake binutils cracklib expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext glib glib-devel gnome-filesystem gtk gtk-devel libjpeg liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtool mesa mesaglut mesaglut-devel perl qt3 qt3-devel rpm update-desktop-files

Name:         pinentry
URL:          http://www.gnupg.org/aegypten/
Version:      0.6.9
Release:      129
Summary:      Collection of Simple PIN or Passphrase Entry Dialogs
License:      GPL
Autoreqprov:  on
Source:       pinentry-%{version}.tar.gz
Patch0:       pinentry-0.6.9.moreSecureMemoryForPinentry-qt.diff
Group:        Productivity/Other
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the Aegypten project.



Authors:
--------
    Robert Bihlmeyer <robbe@orcus.priv.at>
    Werner Koch, g10 Code GmbH <wk@gnupg.org>
    Steffen Hansen, Klarlvdalens Datakonsult AB <steffen@klaralvdalens-datakonsult.se>
    Marcus Brinkmann, g10 Code GmbH <marcus@g10code.com>

%prep
%setup  
%patch0 -p 1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
		--prefix=%{_prefix} \
		--sysconfdir=/etc \
		--libdir=%{_libdir} \
		--infodir=%{_infodir} \
                --with-qt-dir=%{_libdir}/qt3/ \
                --with-qt-includes=%{_libdir}/qt3/include/ \
                --with-qt-libraries=%{_libdir}/qt3/%_lib/ 
make 

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%doc %_infodir/pinentry*
/usr/bin/pinentry-curses
/usr/bin/pinentry-gtk
/usr/bin/pinentry-qt

%changelog -n pinentry
* Tue Nov 18 2003 - mc@suse.de
- increase secmem allocation for pinentry-qt to avoid
  "Out of memory" errors.
  (pinentry-0.6.9.moreSecureMemoryForPinentry-qt.diff)
* Mon Jun 02 2003 - mc@suse.de
- remove pinentry-0.6.8-prevent-assuan-stderr.dif; no longer needed
- switch to version 0.6.9
  * a memory-issue present in 0.6.8
  * a minor build problem (make distclean now cleans up .moc files)
  * assuan protocol debug messages are not written to stderr
- fixed build on x86_64
* Tue Apr 08 2003 - mc@suse.de
- prevent pinentry-qt to print the assuan protocol to stderr
* Fri Feb 21 2003 - ro@suse.de
- fixed neededforbuild
* Tue Feb 11 2003 - mc@suse.de
- initial release
